CVE-2015-8630

high
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

The (1) kadm5_create_principal_3 and (2) kadm5_modify_principal functions in lib/kadm5/srv/svr_principal.c in kadmind in MIT Kerberos 5 (aka krb5) 1.12.x and 1.13.x before 1.13.4 and 1.14.x before 1.14.1 allow remote authenticated users to cause a denial of service (NULL pointer dereference and daemon crash) by specifying KADM5_POLICY with a NULL policy name.

References

http://krbdev.mit.edu/rt/Ticket/Display.html?id=8342

http://lists.opensuse.org/opensuse-updates/2016-02/msg00059.html

http://lists.opensuse.org/opensuse-updates/2016-02/msg00110.html

http://rhn.redhat.com/errata/RHSA-2016-0532.html

http://www.debian.org/security/2016/dsa-3466

http://www.oracle.com/technetwork/topics/security/linuxbulletinapr2016-2952096.html

http://www.securitytracker.com/id/1034915

https://github.com/krb5/krb5/commit/b863de7fbf080b15e347a736fdda0a82d42f4f6b

Details

Source: MITRE

Published: 2016-02-13

Updated: 2020-01-21

Risk Information

CVSS v2

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 3.9

Severity: HIGH

Tenable Plugins

View all (10 total)

IDNameProductFamilySeverity
99775EulerOS 2.0 SP1 : krb5 (EulerOS-SA-2016-1012)NessusHuawei Local Security Checks
high
90633Amazon Linux AMI : krb5 (ALAS-2016-691)NessusAmazon Linux Local Security Checks
high
90344Scientific Linux Security Update : krb5 on SL7.x x86_64 (20160404)NessusScientific Linux Local Security Checks
high
90299RHEL 7 : krb5 (RHSA-2016:0532)NessusRed Hat Local Security Checks
high
90295Oracle Linux 7 : krb5 (ELSA-2016-0532)NessusOracle Linux Local Security Checks
high
90275CentOS 7 : krb5 (CESA-2016:0532)NessusCentOS Local Security Checks
high
88854openSUSE Security Update : krb5 (openSUSE-2016-230)NessusSuSE Local Security Checks
high
88707SUSE SLED12 / SLES12 Security Update : krb5 (SUSE-SU-2016:0429-1)NessusSuSE Local Security Checks
high
88687openSUSE Security Update : krb5 (openSUSE-2016-181)NessusSuSE Local Security Checks
high
88581Debian DSA-3466-1 : krb5 - security updateNessusDebian Local Security Checks
high